/*
Module : EZViewView.h
Purpose: Defines the MFC view class for EZView

Copyright (c) 2000 - 2017 by PJ Naughter (Web: www.naughter.com, Email: pjna@naughter.com)

All rights reserved.

Copyright / Usage Details:

You are allowed to include the source code in any product (commercial, shareware, freeware or otherwise)
when your product is released in binary form. You are allowed to modify the source code in any way you want
except you cannot modify the copyright details at the top of each module. If you want to distribute source
code with your application, then you are only allowed to distribute versions released by the author. This is
to maintain a single distribution point for the source code.

*/


////////////////////////// Macros / Defines ///////////////////////////////////

#pragma once


////////////////////////// Classes ////////////////////////////////////////////

class CEZViewView : public CScrollView
{
public:
//Methods
  CEZViewDoc* GetDocument();
#ifdef _DEBUG
  virtual void AssertValid() const;
  virtual void Dump(CDumpContext& dc) const;
#endif //#ifdef _DEBUG

protected:
//Methods
  CEZViewView();
  virtual void OnDraw(CDC* pDC);
  virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
  virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
  virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
  virtual BOOL PreTranslateMessage(MSG* pMsg);
  virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
  CSize DrawSize(_In_ CEZViewDoc* pDoc, _In_ CRect rClient);
  void KillSlideshow();

//Member variables
  int      m_nCurrentZoomLevel;
  bool     m_bSizeToFit;
  UINT_PTR m_nTimerID;
  
//Message handlers
  afx_msg BOOL OnEraseBkgnd(CDC* pDC);
  afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
  afx_msg void OnZoomZoomin();
  afx_msg void OnZoomZoomout();
  afx_msg void OnUpdateZoomZoomin(CCmdUI* pCmdUI);
  afx_msg void OnUpdateZoomZoomout(CCmdUI* pCmdUI);
  afx_msg void OnZoomActual();
  afx_msg void OnUpdateZoomActual(CCmdUI* pCmdUI);
  afx_msg void OnZoomBestfit();
  afx_msg void OnUpdateZoomBestfit(CCmdUI* pCmdUI);
  afx_msg void OnToolsSlideshowRun();
  afx_msg void OnUpdateToolsSlideshowRun(CCmdUI* pCmdUI);
  afx_msg void OnTimer(UINT_PTR nIDEvent);
  afx_msg void OnDestroy();
  afx_msg LRESULT OnAppCommand(WPARAM wParam, LPARAM lParam);
  afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);

  DECLARE_MESSAGE_MAP()

  DECLARE_DYNCREATE(CEZViewView)

  friend class CEZViewDoc;
};
