/*
Module : PropertiesDlg.h
Purpose: Defines the properties dialog for EZView

Copyright (c) 2000 - 2017 by PJ Naughter (Web: www.naughter.com, Email: pjna@naughter.com)

All rights reserved.

Copyright / Usage Details:

You are allowed to include the source code in any product (commercial, shareware, freeware or otherwise)
when your product is released in binary form. You are allowed to modify the source code in any way you want
except you cannot modify the copyright details at the top of each module. If you want to distribute source
code with your application, then you are only allowed to distribute versions released by the author. This is
to maintain a single distribution point for the source code.

*/


////////////////////////// Macros / Defines ///////////////////////////////////

#pragma once


////////////////////////// Classes ////////////////////////////////////////////

class CPropertiesDlg : public CDialog
{
public:
//Constructors / Destructors
  CPropertiesDlg(_In_opt_ CWnd* pParent = nullptr);

//Member variables
  enum { IDD = IDD_PROPERTIES };
  CStatic	m_ctrlBitsPerPixel;
  CStatic	m_ctrlModified;
  CStatic	m_ctrlCreated;
  CStatic	m_ctrlAccessed;
  CStatic	m_ctrlSize;
  CStatic	m_ctrlFilename;
  CStatic	m_ctrlDimensions;
  CString	m_sFilename;
  CRect m_ImageRect;
  int m_nBPP;
  
protected:
//Methods
  CString FormatDateTime(_In_ const CTime& time);
  CString FormatBytes(_In_ ULONGLONG dwFileSize);
  CString FormatDimensions();
  CString PixelFormat();
  virtual void DoDataExchange(CDataExchange* pDX);
  virtual BOOL OnInitDialog();

  DECLARE_MESSAGE_MAP()
};
